libteam: Interface information functions

libteam 1.32

Loading...
Searching...
No Matches
Functions
Interface information functions
Libteam

## Functions
TEAM_EXPORT struct team_ifinfo * | team_get_next_ifinfo (struct team_handle *th, struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_removed (struct team_ifinfo *ifinfo)
TEAM_EXPORT uint32_t | team_get_ifinfo_ifindex (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_get_ifinfo_admin_state (struct team_ifinfo *ifinfo)
TEAM_EXPORT struct team_port * | team_get_ifinfo_port (struct team_ifinfo *ifinfo)
TEAM_EXPORT char * | team_get_ifinfo_hwaddr (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_hwaddr_changed (struct team_ifinfo *ifinfo)
TEAM_EXPORT size_t | team_get_ifinfo_hwaddr_len (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_hwaddr_len_changed (struct team_ifinfo *ifinfo)
TEAM_EXPORT char * | team_get_ifinfo_orig_hwaddr (struct team_ifinfo *ifinfo)
TEAM_EXPORT uint8_t | team_get_ifinfo_orig_hwaddr_len (struct team_ifinfo *ifinfo)
TEAM_EXPORT char * | team_get_ifinfo_ifname (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_ifname_changed (struct team_ifinfo *ifinfo)
TEAM_EXPORT uint32_t | team_get_ifinfo_master_ifindex (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_master_ifindex_changed (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_admin_state_changed (struct team_ifinfo *ifinfo)
TEAM_EXPORT char * | team_get_ifinfo_phys_port_id (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_phys_port_id_changed (struct team_ifinfo *ifinfo)
TEAM_EXPORT size_t | team_get_ifinfo_phys_port_id_len (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_phys_port_id_len_changed (struct team_ifinfo *ifinfo)
TEAM_EXPORT bool | team_is_ifinfo_changed (struct team_ifinfo *ifinfo)

## Detailed Description

Wrapper for rtnetlink interface info

## Header

#include <team.h>

## Function Documentation

## ◆ team_get_ifinfo_admin_state()

TEAM_EXPORT bool team_get_ifinfo_admin_state | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo admin state.

Returns
  Ifinfo interface index as idenfified by in kernel.

## ◆ team_get_ifinfo_hwaddr()

TEAM_EXPORT char * team_get_ifinfo_hwaddr | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo hardware address.

Returns
  Pointer to memory place where hwaddr is.

## ◆ team_get_ifinfo_hwaddr_len()

TEAM_EXPORT size_t team_get_ifinfo_hwaddr_len | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo hardware address length.

Returns
  Hardware address length.

## ◆ team_get_ifinfo_ifindex()

TEAM_EXPORT uint32_t team_get_ifinfo_ifindex | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo interface index.

Returns
  Ifinfo interface index as idenfified by in kernel.

## ◆ team_get_ifinfo_ifname()

TEAM_EXPORT char * team_get_ifinfo_ifname | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo interface name.

Returns
  Pointer to memory place where interface name is.

## ◆ team_get_ifinfo_master_ifindex()

TEAM_EXPORT uint32_t team_get_ifinfo_master_ifindex | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get interface index of master interface.

Returns
  Master interface index as idenfified by in kernel.

## ◆ team_get_ifinfo_orig_hwaddr()

TEAM_EXPORT char * team_get_ifinfo_orig_hwaddr | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo original hardware address.

Returns
  Pointer to memory place where hwaddr is.

## ◆ team_get_ifinfo_orig_hwaddr_len()

TEAM_EXPORT uint8_t team_get_ifinfo_orig_hwaddr_len | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo original hardware address length.

Returns
  Hardware address length.

## ◆ team_get_ifinfo_phys_port_id()

TEAM_EXPORT char * team_get_ifinfo_phys_port_id | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get ifinfo physical port ID.

Returns
  Pointer to memory place where physical por ID is.

## ◆ team_get_ifinfo_phys_port_id_len()

TEAM_EXPORT size_t team_get_ifinfo_phys_port_id_len | ( | struct team_ifinfo * | ifinfo | ) |

team_get_ifinfo_phys_port_id_len:

Get ifinfo physical port ID length.

Returns
  Physical port ID length.

## ◆ team_get_ifinfo_port()

TEAM_EXPORT struct team_port * team_get_ifinfo_port | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

Get port associated to rtnetlink interface info.

Returns
  Pointer to appropriate team_port structure or NULL if not associated.

## ◆ team_get_next_ifinfo()

TEAM_EXPORT struct team_ifinfo * team_get_next_ifinfo | ( | struct team_handle * | th,
|  | struct team_ifinfo * | ifinfo )

Parameters

  th | libteam library context
  ifinfo | ifinfo structure

Get next ifinfo in list.

Returns
  Ifinfo next to ifinfo passed.

## ◆ team_is_ifinfo_admin_state_changed()

TEAM_EXPORT bool team_is_ifinfo_admin_state_changed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if admin state of interface got changed.

Returns
  True if admin state of interface got changed.

## ◆ team_is_ifinfo_changed()

TEAM_EXPORT bool team_is_ifinfo_changed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if ifinfo got changed.

Returns
  True if ifinfo changed.

## ◆ team_is_ifinfo_hwaddr_changed()

TEAM_EXPORT bool team_is_ifinfo_hwaddr_changed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if ifinfo hardware address got changed.

Returns
  True if hardware address got changed.

## ◆ team_is_ifinfo_hwaddr_len_changed()

TEAM_EXPORT bool team_is_ifinfo_hwaddr_len_changed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if ifinfo hardware address length got changed.

Returns
  True if ifinfo hardware address length changed.

## ◆ team_is_ifinfo_ifname_changed()

TEAM_EXPORT bool team_is_ifinfo_ifname_changed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if ifinfo interface name got changed.

Returns
  True if ifinfo interface name got changed.

## ◆ team_is_ifinfo_master_ifindex_changed()

TEAM_EXPORT bool team_is_ifinfo_master_ifindex_changed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if interface index of master interface got changed.

Returns
  True if interface index of master interface got changed.

## ◆ team_is_ifinfo_phys_port_id_changed()

TEAM_EXPORT bool team_is_ifinfo_phys_port_id_changed | ( | struct team_ifinfo * | ifinfo | ) |

team_is_ifinfo_phys_port_id_changed:

See if ifinfo physical port ID got changed.

Returns
  True if physical port ID. got changed.

## ◆ team_is_ifinfo_phys_port_id_len_changed()

TEAM_EXPORT bool team_is_ifinfo_phys_port_id_len_changed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if ifinfo physical port ID length got changed.

Returns
  True if ifinfo physical port ID length changed.

## ◆ team_is_ifinfo_removed()

TEAM_EXPORT bool team_is_ifinfo_removed | ( | struct team_ifinfo * | ifinfo | ) |

Parameters

  ifinfo | ifinfo structure

See if ifinfo got removed. This means that the interface got removed.

Returns
  True if ifinfo got changed.